Subject: Re: bug#52122: mv: deletes src file on error

From: Frank Busse <[email-masked]>
Date: Fri, 26 Nov 2021 18:59:22 +0000

On Fri, 26 Nov 2021 18:54:54 +0100
Bernhard Voelker <[email-masked]> wrote:

> On 11/26/21 13:23, Frank Busse wrote:
> > I tried it several times with checking the timestamps/md5sums of the
> > files but after remounting the stick it doesn't happen anymore?! I
> > guess it was a hiccup somewhere else in the system, sorry.
> 
> Perhaps the USB stick was removed from the system before the kernel
> could flush the data?

No, I tried it several times with the stick still mounted. Strangely
enough, copying with a different name worked fine. Maybe a kernel or
hardware issue - no idea.

Best,

Frank